de.esprit.appsuite.task.taskmgr

## Class ActiveTasksListModel<C extends ApplicationContext>

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel<T>
      - - de.esprit.appsuite.gui.activity.ActivityListModel<C,RunStateFlag>
        - - de.esprit.appsuite.task.taskmgr.AbstractTaskRegistrationListModel<C>
          - - de.esprit.appsuite.task.taskmgr.ActiveTasksListModel<C>

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel<RunStateFlag>

      public class ActiveTasksListModel<C extends ApplicationContext>
      extends AbstractTaskRegistrationListModel<C>

  This list keeps `RunStateFlag`s of all currently running `AsyncTask`s of this application.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveTasksListModel(C ctx, TaskRegistry registry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconKey` | `getTypeIcon()`
    `NlsKey` | `getTypeName()`
    `protected boolean` | `isHandledTaskType(TaskId taskId)`

    - ### Methods inherited from class de.esprit.appsuite.gui.activity.ActivityListModel

      `cancel, cancelAll, getApplicationContext, hasCancellableTasks, isCurrentlyCancellable`

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItem, addItem, addItems, addItems, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, removeItem, removeItem, replaceItem, replaceOrAddItem, setComparator, setItem, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveTasksListModel

          public ActiveTasksListModel(C ctx,
                              TaskRegistry registry)

  - ### Method Detail

    - #### getTypeName

          public NlsKey getTypeName()

      Specified by:
        `getTypeName` in class `ActivityListModel<C extends ApplicationContext,RunStateFlag>`

    - #### getTypeIcon

          public IconKey getTypeIcon()

      Specified by:
        `getTypeIcon` in class `ActivityListModel<C extends ApplicationContext,RunStateFlag>`

    - #### isHandledTaskType

          protected boolean isHandledTaskType(TaskId taskId)

      Specified by:
        `isHandledTaskType` in class `AbstractTaskRegistrationListModel<C extends ApplicationContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.